Bug 98471 - kernel BUG at rmap.c:398! in kernel 2.4.20-13.7smp
kernel BUG at rmap.c:398! in kernel 2.4.20-13.7smp
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-02 14:50 EDT by Matt Wilson
Modified: 2015-01-04 17:02 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Wilson 2003-07-02 14:50:04 EDT
kernel BUG at rmap.c:398!
invalid operand: 0000
sr_mod cramfs coda sg ide-cd cdrom nls_iso8859-1 nls_cp437 vfat fat nfsd
netconsole autofs nfs lockd sunrpc tg3 eepro100 mii e1000 loop usb-ohci usbcore ext3
CPU:    0
EIP:    0010:[<c01436cf>]    Not tainted
EFLAGS: 00010246

EIP is at try_to_unmap_one [kernel] 0x13f (2.4.20-13.7smp)
eax: 00000000   ebx: 00000000   ecx: fffed000   edx: 000ca239
esi: 00340000   edi: c1000030   ebp: fffedd00   esp: c54fbeb8
ds: 0018   es: 0018   ss: 0018
Process kswapd (pid: 5, stackpage=c54fb000)
Stack: 00e5e500 00000000 c2d5cd60 c2d5cd60 c2d5cd60 00000006 c030e180 ffffffff
       c01437fa 00e5e500 c2d5cd60 c013e820 c03b8560 00000000 00000000 00000000
       c2d5cd60 c030e180 c030bc20 c0139a34 00000001 000000dc c030e180 c030f338
Call Trace:   [<c01437fa>] try_to_unmap [kernel] 0x6a (0xc54fbed8))
[<c013e820>] add_to_swap [kernel] 0x60 (0xc54fbee4))
[<c0139a34>] launder_page [kernel] 0x5a4 (0xc54fbf04))
[<c013be2a>] rebalance_dirty_zone [kernel] 0x9a (0xc54fbf1c))
[<c013c0ae>] rebalance_inactive_zone [kernel] 0x21e (0xc54fbf3c))
[<c013c21d>] rebalance_inactive [kernel] 0x3d (0xc54fbf6c))
[<c013c351>] do_try_to_free_pages_kswapd [kernel] 0x31 (0xc54fbf90))
[<c013c801>] kswapd [kernel] 0x141 (0xc54fbfd4))
[<c0105000>] stext [kernel] 0x0 (0xc54fbfe8))
[<c0107266>] arch_kernel_thread [kernel] 0x26 (0xc54fbff0))
[<c013c6c0>] kswapd [kernel] 0x0 (0xc54fbff8))

Code: 0f 0b 8e 01 a5 55 25 c0 31 c0 8b 54 24 04 86 42 2c 84 c0 7f
Comment 1 csieh 2003-07-08 12:14:42 EDT
Seen the same oops on 2.4.20-18.7smp
Comment 2 csieh 2003-07-08 14:00:39 EDT
We have quite a few systems that are experiencing this oops.  If you need a
place to test something let me know.  

Thanks
Connie Sieh
Fermi National Accelerator Laboratory
Comment 3 Nigel Simpson 2003-07-22 14:32:27 EDT
I'm also experiencing what appears to be the same failure on a uniprocessor
(266MHz P4) system running 2.4.20-18.9:

Jul 20 23:12:34 peanuts kernel: kernel BUG at rmap.c:470!
Jul 20 23:12:34 peanuts kernel: invalid operand: 0000
Jul 20 23:12:34 peanuts kernel: cmaudio soundcore nvidia vpnmod autofs
sis900 ipt_REJECT iptable_filter ip_tables sg sr_mod ide-scsi scsi_mod
ide-cd cdrom ohci1394 ieee1394 nls_iso8859-1 ntf
Jul 20 23:12:34 peanuts kernel: CPU:    0
Jul 20 23:12:34 peanuts kernel: EIP:    0060:[<c01444c0>]    Tainted: P
Jul 20 23:12:34 peanuts kernel: EFLAGS: 00013206
Jul 20 23:12:34 peanuts kernel:
Jul 20 23:12:34 peanuts kernel: EIP is at try_to_unmap [kernel] 0x20
(2.4.20-18.9)
Jul 20 23:12:34 peanuts kernel: eax: 01048149   ebx: c15dae68   ecx:
d93b5728
edx: dfff3fa4
Jul 20 23:12:34 peanuts kernel: esi: c15dae84   edi: ffffffff   ebp:
c15dae68
esp: dfff3f78
Jul 20 23:12:34 peanuts kernel: ds: 0068   es: 0068   ss: 0068
Jul 20 23:12:34 peanuts kernel: Process kswapd (pid: 5,
stackpage=dfff3000)
Jul 20 23:12:34 peanuts kernel: Stack: 00000000 00000000 dfff3fa4
c15dae68 c15dae68 c15dae84 000001d0 c0310134
Jul 20 23:12:34 peanuts kernel:        c013c0ed c15e7188 000001d0
00000001 00000033 c030ff00 0000000c c013cd0c
Jul 20 23:12:34 peanuts kernel:        c030ff00 000001d0 c15dae68
dfff2000 c030ff00 dfff2305 00000000 c013d32c
Jul 20 23:12:34 peanuts kernel: Call Trace:   [<c013c0ed>] launder_page
[kernel] 0x54d (0xdfff3f98))
Jul 20 23:12:34 peanuts kernel: [<c013cd0c>] rebalance_dirty_zone
[kernel] 0x5c
(0xdfff3fb4))
Jul 20 23:12:34 peanuts kernel: [<c013d32c>] kswapd [kernel] 0x15c
(0xdfff3fd4))Jul 20 23:12:34 peanuts kernel: [<c013d1d0>] kswapd
[kernel] 0x0 (0xdfff3fe4))
Jul 20 23:12:34 peanuts kernel: [<c010742d>] kernel_thread_helper
[kernel] 0x5 (0xdfff3ff0))
Jul 20 23:12:34 peanuts kernel:
Jul 20 23:12:34 peanuts kernel:
Jul 20 23:12:34 peanuts kernel: Code: 0f 0b d6 01 27 12 26 c0 8b 45 18
83 e0 01
75 08 0f 0b d8 01

According to rmap.c:470, The cause of the failure is trying to unmap a
page that's reserved:

int try_to_unmap(struct page * page)
{
        struct pte_chain *pc, *next_pc, *start;
        int ret = SWAP_SUCCESS;
        int victim_i = -1;

        /* This page should not be on the pageout lists. */
        if (PageReserved(page))
                BUG();
Comment 4 Arjan van de Ven 2003-07-22 14:37:54 EDT
Nigel Simpson:
please read bug 73733 
Comment 5 csieh 2003-07-22 14:46:29 EDT
Bug 73733 concerns nvidia drivers.  I clearly do not have nvidia drivers
installed in my systems that are experiencing this bug as they do not even have
monitors.  These systems are very compute bound 2u physics analysis nodes.

-Connie Sieh
Fermi National Accelerator Laboratory
Comment 6 Geoff Kuchera 2004-01-06 10:41:13 EST
I also have seen this issue.  The system seems to kernel panic about 
once very 2 weeks.  

Server: IBM EServer 345 (1 processor)
Redhat 9.0

/proc/version:

20030222 (Red Hat Linux 3.2.2-5)) #1 SMP Thu Mar 13 17:45:54 EST 2003
.devel.redhat.com) (gcc version 3.2.2 20030222 (Red Hat Linux 3.2.2-
5)) #1 SMP Thu Mar 13 17:45:54 EST 2003


-Geoff Kuchera
Siemens
Comment 7 Dave Jones 2004-01-06 10:55:55 EST
Try 2.4.20-28

The last few erratas have contained numerous rmap stability fixes.
Comment 8 Bugzilla owner 2004-09-30 11:41:14 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.